{"openapi":"3.1.0","info":{"title":"Endpoints","version":"1.0.0"},"paths":{"/invoices/{id}/download":{"get":{"operationId":"get-billing-invoice-download-link","summary":"Download invoice PDF","description":"Returns a temporary download URL for an invoice PDF; the URL expires at the time indicated by `expires_at` in the response.\n **Token scopes**: `accounting:read`","tags":["subpackage_accounting"],"parameters":[{"name":"id","in":"path","description":"The invoice ID used to identify the invoice to be downloaded.","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Accounting_getBillingInvoiceDownloadLink_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/invoices/{invoice_id}":{"get":{"operationId":"get-invoice-by-id-v-2026-01-01","summary":"Get invoice by id","description":"Retrieves the details of a single invoice by `invoice_id`.\n **Token scopes**: `accounting:read`","tags":["subpackage_accounting"],"parameters":[{"name":"invoice_id","in":"path","description":"The invoice ID used to identify the invoice to be retireved.","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The invoice resource returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Accounting_getInvoiceById-v2026-01-01_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Invoice not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetInvoiceById-v2026-01-01RequestNotFoundError"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/payments/{payment_id}/breakdown":{"get":{"operationId":"retrieve-a-payment-breakdown-v-2026-01-01","summary":"Retrieve a payment breakdown","description":"Returns a breakdown of a payment made to Deel, with individual invoices and the Deel fee included as discrete line items.\n **Token scopes**: `accounting:read`","tags":["subpackage_accounting"],"parameters":[{"name":"payment_id","in":"path","description":"Unique identifier for the payment to retrieve the breakdown.","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Accounting_retrieveAPaymentBreakdown-v2026-01-01_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/invoices/deel":{"get":{"operationId":"retrieve-deel-invoices","summary":"Retrieve Deel invoices","description":"Returns a paginated list of invoices for Deel platform fees.\n **Token scopes**: `accounting:read`","tags":["subpackage_accounting"],"parameters":[{"name":"limit","in":"query","description":"Return a page of results with given number of records; NOTE technically ALL query parameters are strings or array of strings","required":false,"schema":{"type":"string"}},{"name":"offset","in":"query","description":"Return a page of results after given index of row; NOTE technically ALL query parameters are strings or array of strings'","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Accounting_retrieveDeelInvoices_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/invoices":{"get":{"operationId":"retrieve-invoices","summary":"Retrieve invoices","description":"Returns a paginated list of invoices; by default only paid invoices are returned, but passing `status=all` returns invoices in all statuses. Supports both offset- and cursor-based pagination.\n **Token scopes**: `accounting:read`","tags":["subpackage_accounting"],"parameters":[{"name":"issued_from_date","in":"query","description":"Filter invoices issued on or after the specified date.","required":false,"schema":{"type":"string"}},{"name":"issued_to_date","in":"query","description":"Filter invoices issued before the specified date.","required":false,"schema":{"type":"string"}},{"name":"status","in":"query","description":"If status query has value of all, all invoices will be returned. Otherwise only paid invoices will be fetched.","required":false,"schema":{"$ref":"#/components/schemas/InvoicesGetParametersStatus"}},{"name":"limit","in":"query","description":"Number of records to retrieve per page.","required":false,"schema":{"type":"number","format":"double","default":25}},{"name":"offset","in":"query","description":"Index of the first record to return.","required":false,"schema":{"type":"integer","format":"int64","default":0}},{"name":"cursor","in":"query","description":"Return next page of results after the given cursor.","required":false,"schema":{"type":"string"}},{"name":"include","in":"query","description":"Will include invoices from COR workers in the response.","required":false,"schema":{"$ref":"#/components/schemas/InvoicesGetParametersInclude"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Accounting_retrieveInvoices_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InvoicesGetResponsesContentApplicationJsonSchemaItems"}}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/payments":{"get":{"operationId":"retrieve-payment-receipts-v-2026-01-01","summary":"Retrieve payment receipts","description":"Returns a cursor-paginated list of payments to Deel, including worker details, payment status, and payment methods. Use the `next_cursor` value from the response to retrieve subsequent pages.\n **Token scopes**: `accounting:read`","tags":["subpackage_accounting"],"parameters":[{"name":"date_from","in":"query","description":"Filters results to include payments created on or after this date (in ISO 8601 format).","required":false,"schema":{"type":"string","format":"date"}},{"name":"date_to","in":"query","description":"Filters results to include payments created before this date (in ISO 8601 format).","required":false,"schema":{"type":"string","format":"date"}},{"name":"cursor","in":"query","description":"A cursor for pagination. Use the value returned in the 'next_cursor' field to get the next page of results.","required":false,"schema":{"type":"string"}},{"name":"currencies","in":"query","description":"Filters payments by their currency codes. Can be a single currency code or an array of codes.","required":false,"schema":{"$ref":"#/components/schemas/PaymentsGetParametersCurrencies"}},{"name":"entities","in":"query","description":"Filters payments by legal entity type (e.g., 'individual' or 'company'). Can be a single entity type or an array.","required":false,"schema":{"$ref":"#/components/schemas/PaymentsGetParametersEntities"}},{"name":"statuses","in":"query","description":"Filters payments by their status (e.g., 'paid' or 'processing'). Can be a single status type or an array.","required":false,"schema":{"$ref":"#/components/schemas/PaymentsGetParametersStatuses"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Accounting_retrievePaymentReceipts-v2026-01-01_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Internal server error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrievePaymentReceipts-v2026-01-01RequestInternalServerError"}}}}}}},"/refund-statements":{"get":{"operationId":"retrieve-refund-statements-v-2026-04-30","summary":"Retrieve refund statements","description":"Use this endpoint to retrieve a list of refund statements. This allows review of past transactions and reconciliation of accounts.\n **Token scopes**: `accounting:read`","tags":["subpackage_accounting"],"parameters":[{"name":"date_from","in":"query","description":"Filters results to include payments created on or after this date (in ISO 8601 format).","required":false,"schema":{"type":"string","format":"date"}},{"name":"date_to","in":"query","description":"Filters results to include payments created before this date (in ISO 8601 format).","required":false,"schema":{"type":"string","format":"date"}},{"name":"cursor","in":"query","description":"A cursor for pagination. Use the value returned in the 'next_cursor' field to get the next page of results.","required":false,"schema":{"type":"string"}},{"name":"currencies","in":"query","description":"Filters payments by their currency codes. Can be a single currency code or an array of codes.","required":false,"schema":{"$ref":"#/components/schemas/RefundStatementsGetParametersCurrencies"}},{"name":"entities","in":"query","description":"Filters payments by legal entity type (e.g., 'individual' or 'company'). Can be a single entity type or an array.","required":false,"schema":{"$ref":"#/components/schemas/RefundStatementsGetParametersEntities"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successfully retrieved refund statements.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Accounting_retrieveRefundStatements-v2026-04-30_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveRefundStatements-v2026-04-30RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveRefundStatements-v2026-04-30RequestForbiddenError"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveRefundStatements-v2026-04-30RequestInternalServerError"}}}}}}},"/adjustments":{"post":{"operationId":"create-contract-adjustment","summary":"Create a new adjustment","description":"Creates a new payroll adjustment for a contract, modifying the payment amount on the next payment cycle. The `adjustment_category_id` must reference a valid category retrieved from `GET /adjustments/categories`.\n **Token scopes**: `adjustments:write`","tags":["subpackage_adjustments"],"parameters":[{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/adjustments_createContractAdjustment_Response_201"}}}},"400":{"description":"Bad Request – failed to create adjustments","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateANewAdjustment-v2026-01-01RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}},"requestBody":{"description":"Creation data for a new adjustment","content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary","description":"File of adjustment."},"title":{"type":"string","description":"Title of adjustment."},"amount":{"$ref":"#/components/schemas/AdjustmentsPostRequestBodyContentMultipartFormDataSchemaAmount","description":"Amount of adjustment."},"vendor":{"type":"string","description":"Vendor of adjustment."},"country":{"type":"string","description":"Country code."},"contract_id":{"type":"string","description":"The identifier of the contract associated with the adjustment"},"description":{"type":"string","description":"Description of adjustment."},"cycle_reference":{"type":"string","description":"Cycle reference of adjustment."},"move_next_cycle":{"type":["boolean","null"],"description":"If an adjustments can belong to another payroll cycle."},"date_of_adjustment":{"type":["string","null"],"format":"date","description":"Short date in format ISO-8601 (YYYY-MM-DD). For example: 2022-12-31."},"adjustment_category_id":{"type":"string","description":"Adjustment category id."}},"required":["file","title","amount","vendor","country","contract_id","description","adjustment_category_id"]}}}}}},"/adjustments/{id}":{"delete":{"operationId":"delete-contract-adjustment","summary":"Delete an adjustment","description":"Permanently deletes an adjustment by its id.\n **Token scopes**: `adjustments:write`","tags":["subpackage_adjustments"],"parameters":[{"name":"id","in":"path","description":"Deel adjustment id.","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/adjustments_deleteContractAdjustment_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}},"get":{"operationId":"get-contract-adjustment","summary":"Retrieve an adjustment","description":"Retrieves a specific adjustment by its id, including its amount, status, payment cycle dates, and associated contract_id.\n **Token scopes**: `adjustments:read`","tags":["subpackage_adjustments"],"parameters":[{"name":"id","in":"path","description":"Deel adjustment id.","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/adjustments_getContractAdjustment_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveAnAdjustmentRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}},"patch":{"operationId":"update-contract-adjustment","summary":"Update an adjustment","description":"Applies a partial update to an existing adjustment. Only fields included in the request body are modified; omitted fields retain their current values.\n **Token scopes**: `adjustments:write`","tags":["subpackage_adjustments"],"parameters":[{"name":"id","in":"path","description":"Deel adjustment id.","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/adjustments_updateContractAdjustment_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}},"requestBody":{"description":"Adjustment object that needs to be updated","content":{"multipart/form-data":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/AdjustmentsIdPatchRequestBodyContentMultipartFormDataSchemaData","description":"Details of adjustment to update"}},"required":["data"]}}}}}},"/contracts/{contract_id}/adjustments":{"get":{"operationId":"get-contract-adjustments","summary":"Retrieve adjustments","description":"Retrieves all adjustments associated with a specific contract, optionally scoped to a date range.\n **Token scopes**: `adjustments:read`","tags":["subpackage_adjustments"],"parameters":[{"name":"contract_id","in":"path","description":"Deel adjustment id.","required":true,"schema":{"type":"string"}},{"name":"from","in":"query","description":"Filter adjustments by start date.","required":false,"schema":{"type":"string","format":"date"}},{"name":"to","in":"query","description":"Filter adjustments by end date.","required":false,"schema":{"type":"string","format":"date"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/adjustments_getContractAdjustments_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveAdjustmentsRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/adjustments/categories":{"get":{"operationId":"get-adjustment-categories","summary":"Retrieve categories","description":"Returns the available adjustment categories, optionally filtered by contract type. Category IDs returned here are required when creating adjustments and define the type and accounting treatment applied.\n **Token scopes**: `adjustments:read`","tags":["subpackage_adjustments"],"parameters":[{"name":"contract_types","in":"query","description":"array of contract types to filter categories","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/AdjustmentsCategoriesGetParametersContractTypesSchemaItems"}}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/adjustments_getAdjustmentCategories_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/it/assets":{"get":{"operationId":"get-it-assets","summary":"List IT assets","description":"Returns a cursor-paginated list of all IT assets historically or currently managed by the organization.\n **Token scopes**: `it-assets:read`","tags":["subpackage_assets"],"parameters":[{"name":"cursor","in":"query","description":"Indicates where the next page of results starts, as returned in a paginated list response","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Return a page of results with given number of records","required":false,"schema":{"type":"integer","default":20}},{"name":"hris_profile_id","in":"query","description":"Filter assets by assigned worker with given HRIS Profile ID","required":false,"schema":{"type":"string","format":"uuid"}},{"name":"location","in":"query","description":"Filter assets by their location","required":false,"schema":{"$ref":"#/components/schemas/ItAssetsGetParametersLocation"}},{"name":"category","in":"query","description":"Filter assets by their product category","required":false,"schema":{"$ref":"#/components/schemas/ItAssetsGetParametersCategory"}},{"name":"status","in":"query","description":"Filter assets by their status","required":false,"schema":{"$ref":"#/components/schemas/ItAssetsGetParametersStatus"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/assets_getITAssets_Response_200"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListItAssetsRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListItAssetsRequestInternalServerError"}}}}}}},"/it/assets/{asset_id}":{"get":{"operationId":"get-it-asset-by-id","summary":"Retrieve an IT asset","description":"Retrieves the details of a specific IT asset by `asset_id`.\n **Token scopes**: `it-assets:read`","tags":["subpackage_assets"],"parameters":[{"name":"asset_id","in":"path","description":"Unique identifier of the IT asset","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/assets_getITAssetById_Response_200"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveAnItAssetRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveAnItAssetRequestInternalServerError"}}}}}}},"/ats/application-sources":{"get":{"operationId":"retrieve-a-list-of-ats-application-sources","summary":"Retrieve a list of ATS application sources","description":"Returns the available application sources in the Applicant Tracking System.\n **Token scopes**: `ats:read`","tags":["subpackage_atsApplicationSources"],"parameters":[{"name":"cursor","in":"query","description":"The cursor for pagination","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Maximum number of records returned in one response","required":false,"schema":{"type":"integer","default":20}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successfully retrieved application sources","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-application-sources_retrieveAListOfAtsApplicationSources_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/ats/applications/{application_id}/notes":{"post":{"operationId":"add-note-to-an-application-v-2026-01-01","summary":"Add note to an application","description":"Adds a note to a specific application. The `author_id` must correspond to a valid HRIS user.\n **Token scopes**: `ats:write`","tags":["subpackage_atsApplications"],"parameters":[{"name":"application_id","in":"path","description":"Id of the application which the note will be added","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"Application note created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-applications_addNoteToAnApplication-v2026-01-01_Response_201"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddNoteToAnApplication-v2026-01-01RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddNoteToAnApplication-v2026-01-01RequestInternalServerError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/AtsApplicationsApplicationIdNotesPostRequestBodyContentApplicationJsonSchemaData"}},"required":["data"]}}}}}},"/ats/applications/{application_id}/interview-plan-stages":{"post":{"operationId":"associate-application-with-an-interview-plan-stage-v-2026-01-01","summary":"Associate application with an interview plan stage","description":"Associates an application with a specific interview plan stage. Set `is_current_stage` to `true` to advance the application's active stage, or `false` to record a historical stage entry without changing the current stage. Pass `applicable_job_activities` to selectively trigger activities, omit it to trigger all, or pass an empty array to trigger none; if archiving the candidate, include `candidate_archivation_reason_id` and optionally `candidate_archivation_email_template_id` to send a rejection email.\n **Token scopes**: `ats:write`","tags":["subpackage_atsApplications"],"parameters":[{"name":"application_id","in":"path","description":"ID of the application to be associated with the interview plan stage","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"Application interview plan stage successfully created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-applications_associateApplicationWithAnInterviewPlanStage-v2026-01-01_Response_201"}}}},"400":{"description":"Email body contains placeholders that can't be resolved","content":{"application/json":{"schema":{"description":"Any type"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/AtsApplicationsApplicationIdInterviewPlanStagesPostRequestBodyContentApplicationJsonSchemaData"}},"required":["data"]}}}}}},"/ats/applications":{"post":{"operationId":"create-ats-application-v-2026-01-01","summary":"Create ATS Application","description":"Creates a new ATS application linking an existing candidate to an existing job. Both the candidate and job must exist prior to this call; the returned id can be used for subsequent operations such as adding notes or associating interview stages.\n **Token scopes**: `ats:write`","tags":["subpackage_atsApplications"],"parameters":[{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"Successful response with application data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-applications_createAtsApplication-v2026-01-01_Response_201"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAtsApplication-v2026-01-01RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAtsApplication-v2026-01-01RequestInternalServerError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/AtsApplicationsPostRequestBodyContentApplicationJsonSchemaData"}},"required":["data"]}}}}},"get":{"operationId":"retrieve-a-list-of-ats-applications-v-2026-01-01","summary":"Retrieve a list of ATS applications","description":"Returns a cursor-paginated list of candidate applications across all open positions for the organization, with filtering by job, interview plan stage, candidate tags, source, stage type, and last-updated timestamp.\n **Token scopes**: `ats:read`","tags":["subpackage_atsApplications"],"parameters":[{"name":"cursor","in":"query","description":"Cursor for pagination. Use the nextCursor value from the previous response to get the next page of results.","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Maximum number of applications to return per page","required":false,"schema":{"type":"integer","default":20}},{"name":"search_text","in":"query","description":"Search text to filter applications by candidate name or email","required":false,"schema":{"type":"string"}},{"name":"job_id","in":"query","description":"Filter applications by specific job ID","required":false,"schema":{"type":"string","format":"uuid"}},{"name":"interview_plan_stage_ids","in":"query","description":"Filter applications by specific interview plan stage IDs","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"candidate_tag_ids","in":"query","description":"Filter applications by candidate tag IDs","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"source_slugs","in":"query","description":"Filter applications by source slugs","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"job_criterias_matchings","in":"query","description":"Filter applications by job criteria matching state. Each object specifies a job criteria ID and whether the candidate matches it.","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/AtsApplicationsGetParametersJobCriteriasMatchingsSchemaItems"}}},{"name":"current_stage_category_type_slugs","in":"query","description":"Filter applications by current stage category type slugs","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"current_stage_default_type_slugs","in":"query","description":"Filter applications by current stage default type slugs. Use 'others' for custom stages.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"updated_after","in":"query","description":"Filter applications updated after this timestamp (ISO 8601 format)","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"sort_by","in":"query","description":"Field to sort applications by","required":false,"schema":{"$ref":"#/components/schemas/AtsApplicationsGetParametersSortBy"}},{"name":"sort_order","in":"query","description":"Sort order for applications","required":false,"schema":{"$ref":"#/components/schemas/AtsApplicationsGetParametersSortOrder"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successfully retrieved applications","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-applications_retrieveAListOfAtsApplications-v2026-01-01_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveAListOfAtsApplications-v2026-01-01RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveAListOfAtsApplications-v2026-01-01RequestInternalServerError"}}}}}}},"/ats/applications/{application_id}":{"get":{"operationId":"retrieve-ats-application-v-2026-01-01","summary":"Retrieve ATS application","description":"Retrieves a single application by its application_id, including associated job details, job posting details, and related metadata.\n **Token scopes**: `ats:read`","tags":["subpackage_atsApplications"],"parameters":[{"name":"application_id","in":"path","description":"Unique identifier of the application to retrieve","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response with application data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-applications_retrieveAtsApplication-v2026-01-01_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveAtsApplication-v2026-01-01RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveAtsApplication-v2026-01-01RequestInternalServerError"}}}}}}},"/ats/attachments/{attachable_type_slug}/{attachable_id}/{attachment_type_slug}":{"get":{"operationId":"retrieve-paginated-list-of-ats-attachment-files-v-2026-01-01","summary":"Retrieve paginated list of ATS attachment files","description":"Lists attachment files for a specific ATS entity, scoped by `attachable_type_slug`, `attachable_id`, and `attachment_type_slug`.\n **Token scopes**: `ats:read`","tags":["subpackage_atsAttachments"],"parameters":[{"name":"attachable_id","in":"path","description":"Unique identifier for the attachable entity","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"attachment_type_slug","in":"path","description":"Type of the attachment","required":true,"schema":{"$ref":"#/components/schemas/AtsAttachmentsAttachableTypeSlugAttachableIdAttachmentTypeSlugGetParametersAttachmentTypeSlug"}},{"name":"attachable_type_slug","in":"path","description":"Type of the attachable entity","required":true,"schema":{"$ref":"#/components/schemas/AtsAttachmentsAttachableTypeSlugAttachableIdAttachmentTypeSlugGetParametersAttachableTypeSlug"}},{"name":"cursor","in":"query","description":"The cursor for pagination","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Maximum number of records returned in one response","required":false,"schema":{"type":"integer","default":20}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-attachments_retrievePaginatedListOfAtsAttachmentFiles-v2026-01-01_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrievePaginatedListOfAtsAttachmentFiles-v2026-01-01RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrievePaginatedListOfAtsAttachmentFiles-v2026-01-01RequestInternalServerError"}}}}}}},"/ats/candidates":{"post":{"operationId":"create-ats-candidate-v-2026-01-01","summary":"Create ATS Candidate","description":"Creates a new candidate record in the ATS and returns the candidate with their unique identifier, which can then be used to link the candidate to job applications.\n **Token scopes**: `ats:write`","tags":["subpackage_atsCandidates"],"parameters":[{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"Successful response with candidate data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-candidates_createAtsCandidate-v2026-01-01_Response_201"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAtsCandidate-v2026-01-01RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAtsCandidate-v2026-01-01RequestInternalServerError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/AtsCandidatesPostRequestBodyContentApplicationJsonSchemaData"}},"required":["data"]}}}}},"get":{"operationId":"retrieve-paginated-list-of-ats-candidates-v-2026-01-01","summary":"Retrieve paginated list of ATS Candidates","description":"Returns a paginated list of candidates, optionally filtered by job IDs, department IDs, tag IDs, current stage category or default type slugs, or a timestamp to return only records updated after a given point.\n **Token scopes**: `ats:read`","tags":["subpackage_atsCandidates"],"parameters":[{"name":"cursor","in":"query","description":"The cursor for pagination","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Maximum number of records returned in one response","required":false,"schema":{"type":"integer","default":20}},{"name":"search","in":"query","description":"Search text for filtering candidates","required":false,"schema":{"type":"string"}},{"name":"job_ids","in":"query","description":"Filter candidates by job IDs","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"department_ids","in":"query","description":"Filter candidates by department IDs","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"tag_ids","in":"query","description":"Filter candidates by tag IDs","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"current_stage_category_type_slugs","in":"query","description":"Filter candidates by current stage category type slugs","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"current_stage_default_type_slugs","in":"query","description":"Filter candidates by current stage default type slugs","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"updated_after","in":"query","description":"Filter applications updated after this timestamp (ISO 8601 format)","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-candidates_retrievePaginatedListOfAtsCandidates-v2026-01-01_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrievePaginatedListOfAtsCandidates-v2026-01-01RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrievePaginatedListOfAtsCandidates-v2026-01-01RequestInternalServerError"}}}}}}},"/ats/candidates/{candidate_id}/tags":{"post":{"operationId":"create-candidate-tags-v-2026-02-27","summary":"Create candidate tags","description":"Replaces all existing tags on a candidate with the provided set of `tag_ids`. This is a full replacement — any tags not included in the request body will be removed.\n **Token scopes**: `ats:write`","tags":["subpackage_atsCandidates"],"parameters":[{"name":"candidate_id","in":"path","description":"The unique identifier of the candidate.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"Successfully created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-candidates_createCandidateTags-v2026-02-27_Response_201"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateCandidateTags-v2026-02-27RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateCandidateTags-v2026-02-27RequestInternalServerError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"tag_ids":{"type":"array","items":{"type":"string","format":"uuid"},"description":"List of tag IDs to associate with the candidate"}},"required":["tag_ids"]}}}}}},"/ats/departments":{"get":{"operationId":"retrieve-a-list-of-ats-departments","summary":"Retrieve a list of ATS departments","description":"Returns a paginated list of all departments configured in the ATS.\n **Token scopes**: `ats:read`","tags":["subpackage_atsDepartments"],"parameters":[{"name":"cursor","in":"query","description":"The cursor for pagination","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Maximum number of records returned in one response","required":false,"schema":{"type":"integer","default":20}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response with departments data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-departments_retrieveAListOfAtsDepartments_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveAListOfAtsDepartmentsRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/ats/email-templates":{"get":{"operationId":"retrieve-a-list-of-published-ats-email-templates-v-2026-02-11","summary":"Retrieve a list of published ATS email templates","description":"Returns a paginated list of published email templates for the organization, supporting cursor-based pagination and filtering by `updated_after` timestamp.\n **Token scopes**: `ats:read`","tags":["subpackage_atsEmailTemplates"],"parameters":[{"name":"cursor","in":"query","description":"Cursor for pagination. Use the nextCursor value from the previous response to get the next page of results.","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Maximum number of email templates to return per page","required":false,"schema":{"type":"integer","default":20}},{"name":"updated_after","in":"query","description":"Return only email templates that were updated after this timestamp (ISO 8601 format)","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successfully retrieved email templates","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-email-templates_retrieveAListOfPublishedAtsEmailTemplates-v2026-02-11_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveAListOfPublishedAtsEmailTemplates-v2026-02-11RequestInternalServerError"}}}}}}},"/ats/employment-types":{"get":{"operationId":"retrieve-a-list-of-ats-employment-types","summary":"Retrieve a list of ATS employment types","description":"Returns a paginated list of employment types available in the ATS.\n **Token scopes**: `ats:read`","tags":["subpackage_atsEmploymentTypes"],"parameters":[{"name":"cursor","in":"query","description":"The cursor for pagination","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Maximum number of records returned in one response","required":false,"schema":{"type":"integer","default":20}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response with employment types data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-employment-types_retrieveAListOfAtsEmploymentTypes_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveAListOfAtsEmploymentTypesRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/ats/hiring-members":{"get":{"operationId":"retrieve-ats-hiring-members","summary":"Retrieve ATS hiring members","description":"Returns a paginated list of hiring members configured in the ATS.\n **Token scopes**: `ats:read`","tags":["subpackage_atsHiringMembers"],"parameters":[{"name":"cursor","in":"query","description":"The cursor for pagination","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Maximum number of records returned in one response","required":false,"schema":{"type":"integer","default":20}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-hiring-members_retrieveAtsHiringMembers_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveAtsHiringMembersRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveAtsHiringMembersRequestInternalServerError"}}}}}}},"/ats/job-boards/{job_board_id}/job-postings":{"get":{"operationId":"retrieve-a-list-of-ats-job-postings","summary":"Retrieve a list of ATS job postings","description":"Returns a paginated list of job postings belonging to the specified job board. Results can be filtered using available query parameters.\n **Token scopes**: `ats:read`","tags":["subpackage_atsJobPostings"],"parameters":[{"name":"job_board_id","in":"path","description":"Job Board ID must be a valid UUID","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"cursor","in":"query","description":"The cursor for pagination (optional)","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Maximum number of records returned in one response (optional)","required":false,"schema":{"type":"integer","default":20}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-job-postings_retrieveAListOfAtsJobPostings_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaItems"}}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/ats/job-postings/{job_posting_id}":{"get":{"operationId":"retrieve-ats-job-posting","summary":"Retrieve ATS job posting","description":"Returns a single job posting by `job_posting_id`, including its associated job object, publication status, application form configuration, compensation visibility flag, and rich-text description.\n **Token scopes**: `ats:read`","tags":["subpackage_atsJobPostings"],"parameters":[{"name":"job_posting_id","in":"path","description":"Unique identifier of the job posting to retrieve","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-job-postings_retrieveAtsJobPosting_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AtsJobPostingsJobPostingIdGetResponsesContentApplicationJsonSchemaItems"}}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/ats/job-postings":{"get":{"operationId":"retrieve-ats-job-postings-v-2026-04-10","summary":"Retrieve ATS job postings","description":"Use this endpoint to retrieve job postings by specifying the job board ID or job ID. It provides detailed postings with job details, publication status, and relevant metadata.\n **Token scopes**: `ats:read`","tags":["subpackage_atsJobPostings"],"parameters":[{"name":"job_board_id","in":"query","description":"Job board to list postings from (UUID).","required":false,"schema":{"type":"string","format":"uuid"}},{"name":"job_id","in":"query","description":"When set, only postings for this job are returned (UUID).","required":false,"schema":{"type":"string","format":"uuid"}},{"name":"cursor","in":"query","description":"Opaque cursor for pagination. Use the value from next_cursor of the previous response to fetch the next page.","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Maximum number of job postings to return per page (min: 1, max: 100).","required":false,"schema":{"type":"integer"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation. Returns job postings for the requested job board (and optional job filter), with nested job details and publication state per board.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-job-postings_retrieveAtsJobPostings-v2026-04-10_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveAtsJobPostings-v2026-04-10RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveAtsJobPostings-v2026-04-10RequestInternalServerError"}}}}}}},"/ats/jobs":{"post":{"operationId":"create-ats-job","summary":"Create ATS Job","description":"Creates a new job in the ATS and returns the resulting job record, including its assigned `id`, initial status, and associated approval rule and request identifiers.\n **Token scopes**: `ats:write`","tags":["subpackage_atsJobs"],"parameters":[{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"Job successfully created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-jobs_createAtsJob_Response_201"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAtsJobRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/AtsJobsPostRequestBodyContentApplicationJsonSchemaData"}}}}}}},"get":{"operationId":"retrieve-a-list-of-ats-jobs","summary":"Retrieve a list of ATS jobs","description":"Returns a paginated list of jobs in the ATS, filterable by text search, interview plan, locations, teams, employment types, departments, status values, and an ISO 8601 `updated_after` timestamp.\n **Token scopes**: `ats:read`","tags":["subpackage_atsJobs"],"parameters":[{"name":"cursor","in":"query","description":"The cursor for pagination","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Maximum number of records returned in one response","required":false,"schema":{"type":"integer","default":20}},{"name":"search","in":"query","description":"Text to search for in job records (optional)","required":false,"schema":{"type":"string"}},{"name":"interview_plan_id","in":"query","description":"Interview plan UUID (optional)","required":false,"schema":{"type":"string","format":"uuid"}},{"name":"location_ids","in":"query","description":"Array of location UUIDs (optional)","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"team_ids","in":"query","description":"Array of team UUIDs (optional)","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"employment_type_ids","in":"query","description":"Array of employment type UUIDs (optional)","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"department_ids","in":"query","description":"Array of department UUIDs (optional)","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"updated_after","in":"query","description":"Filter jobs updated after this timestamp (ISO 8601 format)","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"status","in":"query","description":"Array of job status values (optional)","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/AtsJobsGetParametersStatusSchemaItems"}}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-jobs_retrieveAListOfAtsJobs_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AtsJobsGetResponsesContentApplicationJsonSchemaItems"}}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/ats/locations":{"get":{"operationId":"retrieve-a-list-of-ats-locations-v-2026-01-01","summary":"Retrieve a list of ATS locations","description":"Returns a paginated list of all work locations associated with the organization, suitable for use when constructing job postings or filtering by location.\n **Token scopes**: `ats:read`","tags":["subpackage_atsLocations"],"parameters":[{"name":"cursor","in":"query","description":"The cursor for pagination","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Maximum number of records returned in one response","required":false,"schema":{"type":"integer","default":20}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response with locations data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-locations_retrieveAListOfAtsLocations-v2026-01-01_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveAListOfAtsLocations-v2026-01-01RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/ats/offers":{"get":{"operationId":"retrieve-a-list-of-ats-offers-v-2026-01-01","summary":"Retrieve a list of ATS offers","description":"Returns all offers associated with the organization, including worker type and offer status, to support pre-onboarding and contract creation workflows.\n **Token scopes**: `ats:read`","tags":["subpackage_atsOffers"],"parameters":[{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-offers_retrieveAListOfAtsOffers-v2026-01-01_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveAListOfAtsOffers-v2026-01-01RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/ats/reasons":{"get":{"operationId":"retrieve-paginated-list-of-ats-rejection-archivation-reasons-v-2026-01-01","summary":"Retrieve paginated list of ATS Rejection/Archivation reasons","description":"Returns a paginated list of rejection and archivation reasons, filterable by `reason_group_slug` and `subgroup_slug`; when `include_counts` is true, each reason includes a usage count.\n **Token scopes**: `ats:read`","tags":["subpackage_atsReasons"],"parameters":[{"name":"cursor","in":"query","description":"The cursor for pagination","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Maximum number of records returned in one response","required":false,"schema":{"type":"integer","default":20}},{"name":"search","in":"query","description":"Search text for filtering candidates","required":false,"schema":{"type":"string"}},{"name":"reason_group_slug","in":"query","description":"Reason group enum","required":false,"schema":{"$ref":"#/components/schemas/AtsReasonsGetParametersReasonGroupSlug"}},{"name":"include_counts","in":"query","description":"If sent true, it will fetch result with counts","required":false,"schema":{"type":"string"}},{"name":"subgroup_slug","in":"query","description":"Reason subgroup enum","required":false,"schema":{"$ref":"#/components/schemas/AtsReasonsGetParametersSubgroupSlug"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-reasons_retrievePaginatedListOfAtsRejectionArchivationReasons-v2026-01-01_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrievePaginatedListOfAtsRejectionArchivationReasons-v2026-01-01RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrievePaginatedListOfAtsRejectionArchivationReasons-v2026-01-01RequestInternalServerError"}}}}}}},"/ats/tags":{"get":{"operationId":"list-tags-v-2026-02-27","summary":"List tags","description":"Returns a paginated list of tags associated with the organization, filterable by label and `tag_group_slug`; when `include_counts` is true, each tag includes a count of associated candidates.\n **Token scopes**: `ats:read`","tags":["subpackage_atsTags"],"parameters":[{"name":"search_text","in":"query","description":"Filter tags by label (case-insensitive partial match)","required":false,"schema":{"type":"string"}},{"name":"tag_group_slug","in":"query","description":"Filter by tag group. Use CANDIDATE for candidate tags.","required":false,"schema":{"$ref":"#/components/schemas/AtsTagsGetParametersTagGroupSlug"}},{"name":"include_counts","in":"query","description":"When true, each tag includes candidates_count (number of candidates with that tag)","required":false,"schema":{"$ref":"#/components/schemas/AtsTagsGetParametersIncludeCounts"}},{"name":"cursor","in":"query","description":"Opaque cursor for pagination. Use the value from next_cursor of the previous response to fetch the next page.","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Maximum number of tags to return per page (default: 20, max: 100).","required":false,"schema":{"type":"integer","default":20}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation. Returns the list of tags for the organization.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-tags_listTags-v2026-02-27_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListTags-v2026-02-27RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListTags-v2026-02-27RequestInternalServerError"}}}}}}},"/candidates":{"post":{"operationId":"add-candidate","summary":"Add Candidate","description":"Creates a candidate record for contractor onboarding outside of an ATS flow. The returned record can be used in subsequent contract creation calls.\n **Token scopes**: `candidates:write`","tags":["subpackage_candidates"],"parameters":[{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Candidates_addCandidate_Response_201"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}},"requestBody":{"description":"Add a candidate to Deel","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/CandidatesPostRequestBodyContentApplicationJsonSchemaData","description":"Details of candidate to create"}},"required":["data"]}}}}}},"/consent_token":{"post":{"operationId":"create-consent-token","summary":"Create a consent token","description":"Generates a time-bounded consent token used to authorize third-party service connections on behalf of an organization. The token expires at the time indicated by `expires_at` in the response.","tags":["subpackage_consent"],"parameters":[{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"Consent token created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Consent_createConsentToken_Response_201"}}}},"400":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateConsentTokenRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateConsentTokenRequestInternalServerError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/ConsentTokenPostRequestBodyContentApplicationJsonSchemaData"}},"required":["data"]}}}}}},"/contracts/{contract_id}/amendments":{"post":{"operationId":"create-contract-amendment","summary":"Amend contract","description":"Submits an amendment to modify the details of an existing contract. If the contract is already signed or active, the amendment must be approved and re-signed before the changes take effect.\n **Token scopes**: `contracts:write`","tags":["subpackage_contractorAmendments"],"parameters":[{"name":"contract_id","in":"path","description":"The unique identifier of the employee contract.","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/contractor-amendments_createContractAmendment_Response_201"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}},"requestBody":{"description":"Contract object that needs to be amended","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/ContractsContractIdAmendmentsPostRequestBodyContentApplicationJsonSchemaData","description":"You can specify any combination of data points that need changing."}},"required":["data"]}}}}},"get":{"operationId":"get-contract-amendments","summary":"List contract amendments","description":"Retrieves the paginated list of amendments associated with a given contract, with optional filtering by amendment status and sign status.\n **Token scopes**: `contracts:read`, `contracts:write`","tags":["subpackage_contractorAmendments"],"parameters":[{"name":"contract_id","in":"path","description":"Unique identifier of the contract","required":true,"schema":{"type":"string"}},{"name":"statuses","in":"query","description":"Filter by work statement status.","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/ContractsContractIdAmendmentsGetParametersStatusesSchemaItems"}}},{"name":"sign_statuses","in":"query","description":"Filter by work statement sign status.","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/ContractsContractIdAmendmentsGetParametersSignStatusesSchemaItems"}}},{"name":"limit","in":"query","description":"Maximum number of work statements to return.","required":false,"schema":{"type":"integer","default":20}},{"name":"cursor","in":"query","description":"Cursor for pagination.","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/contractor-amendments_getContractAmendments_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListContractAmendments-v2026-01-01RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListContractAmendments-v2026-01-01RequestInternalServerError"}}}}}}},"/contracts/{contract_id}/documents":{"post":{"operationId":"create-contract-document","summary":"Attach a file to contract","description":"Uploads a file and attaches it as a document to the specified contract by creating an amendment with the attachment. Only supported for ongoing_time_based, milestones, payg_tasks, time_based, pay_as_you_go_time_based, and eor contract types.\n **Token scopes**: `contracts:write`","tags":["subpackage_contractorHiring"],"parameters":[{"name":"contract_id","in":"path","description":"Deel contract id.","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/contractor-hiring_createContractDocument_Response_201"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}},"requestBody":{"description":"A form to attach a file to contract document.","content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary","description":"Upload the file you want to attach to this entry."}}}}}}}},"/contracts/{contract_id}/invite":{"get":{"operationId":"get-contract-invite","summary":"Get worker invite link","description":"Retrieves the signing invitation link generated for the worker on a contract, with optional localization via the `locale` parameter.\n **Token scopes**: `contracts:read`","tags":["subpackage_contractorHiring"],"parameters":[{"name":"contract_id","in":"path","description":"Deel contract id.","required":true,"schema":
[...]
